<template>
  <img v-if="background" src="~@/assets/img/loader.gif" alt="">
  <img v-else src="~@/assets/img/transparent-loader.gif" alt="">
</template>

<script  lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";

@Component
export default class Spinner extends Vue {
	@Prop({ default: true}) readonly background!: boolean
}
</script>

<style scoped>
img{
  width: 120px;
  margin:auto;
  clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
}
</style>
